

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [GetApplicationComponentDetails](API_GetApplicationComponentDetails.md) 
+  [GetApplicationComponentStrategies](API_GetApplicationComponentStrategies.md) 
+  [GetAssessment](API_GetAssessment.md) 
+  [GetImportFileTask](API_GetImportFileTask.md) 
+  [GetLatestAssessmentId](API_GetLatestAssessmentId.md) 
+  [GetPortfolioPreferences](API_GetPortfolioPreferences.md) 
+  [GetPortfolioSummary](API_GetPortfolioSummary.md) 
+  [GetRecommendationReportDetails](API_GetRecommendationReportDetails.md) 
+  [GetServerDetails](API_GetServerDetails.md) 
+  [GetServerStrategies](API_GetServerStrategies.md) 
+  [ListAnalyzableServers](API_ListAnalyzableServers.md) 
+  [ListApplicationComponents](API_ListApplicationComponents.md) 
+  [ListCollectors](API_ListCollectors.md) 
+  [ListImportFileTask](API_ListImportFileTask.md) 
+  [ListServers](API_ListServers.md) 
+  [PutPortfolioPreferences](API_PutPortfolioPreferences.md) 
+  [StartAssessment](API_StartAssessment.md) 
+  [StartImportFileTask](API_StartImportFileTask.md) 
+  [StartRecommendationReportGeneration](API_StartRecommendationReportGeneration.md) 
+  [StopAssessment](API_StopAssessment.md) 
+  [UpdateApplicationComponentConfig](API_UpdateApplicationComponentConfig.md) 
+  [UpdateServerConfig](API_UpdateServerConfig.md) 

# GetApplicationComponentDetails
<a name="API_GetApplicationComponentDetails"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves details about an application component. 

## Request Syntax
<a name="API_GetApplicationComponentDetails_RequestSyntax"></a>

```
GET /get-applicationcomponent-details/applicationComponentId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetApplicationComponentDetails_RequestParameters"></a>

The request uses the following URI parameters.

 ** [applicationComponentId](#API_GetApplicationComponentDetails_RequestSyntax) **   <a name="migrationhubstrategy-GetApplicationComponentDetails-request-uri-applicationComponentId"></a>
 The ID of the application component. The ID is unique within an AWS account.  
Length Constraints: Minimum length of 0. Maximum length of 44.  
Pattern: `.*[0-9a-zA-Z-]+.*`   
Required: Yes

## Request Body
<a name="API_GetApplicationComponentDetails_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetApplicationComponentDetails_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "applicationComponentDetail": { 
      "analysisStatus": "string",
      "antipatternReportS3Object": { 
         "s3Bucket": "string",
         "s3key": "string"
      },
      "antipatternReportStatus": "string",
      "antipatternReportStatusMessage": "string",
      "appType": "string",
      "appUnitError": { 
         "appUnitErrorCategory": "string"
      },
      "associatedServerId": "string",
      "databaseConfigDetail": { 
         "secretName": "string"
      },
      "id": "string",
      "inclusionStatus": "string",
      "lastAnalyzedTimestamp": number,
      "listAntipatternSeveritySummary": [ 
         { 
            "count": number,
            "severity": "string"
         }
      ],
      "moreServerAssociationExists": boolean,
      "name": "string",
      "osDriver": "string",
      "osVersion": "string",
      "recommendationSet": { 
         "strategy": "string",
         "targetDestination": "string",
         "transformationTool": { 
            "description": "string",
            "name": "string",
            "tranformationToolInstallationLink": "string"
         }
      },
      "resourceSubType": "string",
      "resultList": [ 
         { 
            "analysisStatus": { ... },
            "analysisType": "string",
            "antipatternReportResultList": [ 
               { 
                  "analyzerName": { ... },
                  "antiPatternReportS3Object": { 
                     "s3Bucket": "string",
                     "s3key": "string"
                  },
                  "antipatternReportStatus": "string",
                  "antipatternReportStatusMessage": "string"
               }
            ],
            "statusMessage": "string"
         }
      ],
      "runtimeStatus": "string",
      "runtimeStatusMessage": "string",
      "sourceCodeRepositories": [ 
         { 
            "branch": "string",
            "projectName": "string",
            "repository": "string",
            "versionControlType": "string"
         }
      ],
      "statusMessage": "string"
   },
   "associatedApplications": [ 
      { 
         "id": "string",
         "name": "string"
      }
   ],
   "associatedServerIds": [ "string" ],
   "moreApplicationResource": boolean
}
```

## Response Elements
<a name="API_GetApplicationComponentDetails_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationComponentDetail](#API_GetApplicationComponentDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetApplicationComponentDetails-response-applicationComponentDetail"></a>
 Detailed information about an application component.   
Type: [ApplicationComponentDetail](API_ApplicationComponentDetail.md) object

 ** [associatedApplications](#API_GetApplicationComponentDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetApplicationComponentDetails-response-associatedApplications"></a>
 The associated application group as defined in AWS Application Discovery Service.   
Type: Array of [AssociatedApplication](API_AssociatedApplication.md) objects

 ** [associatedServerIds](#API_GetApplicationComponentDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetApplicationComponentDetails-response-associatedServerIds"></a>
 A list of the IDs of the servers on which the application component is running.   
Type: Array of strings  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

 ** [moreApplicationResource](#API_GetApplicationComponentDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetApplicationComponentDetails-response-moreApplicationResource"></a>
 Set to true if the application component belongs to more than one application group.   
Type: Boolean

## Errors
<a name="API_GetApplicationComponentDetails_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_GetApplicationComponentDetails_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetApplicationComponentDetails) 

# GetApplicationComponentStrategies
<a name="API_GetApplicationComponentStrategies"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves a list of all the recommended strategies and tools for an application component running on a server. 

## Request Syntax
<a name="API_GetApplicationComponentStrategies_RequestSyntax"></a>

```
GET /get-applicationcomponent-strategies/applicationComponentId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetApplicationComponentStrategies_RequestParameters"></a>

The request uses the following URI parameters.

 ** [applicationComponentId](#API_GetApplicationComponentStrategies_RequestSyntax) **   <a name="migrationhubstrategy-GetApplicationComponentStrategies-request-uri-applicationComponentId"></a>
 The ID of the application component. The ID is unique within an AWS account.  
Length Constraints: Minimum length of 0. Maximum length of 44.  
Pattern: `.*[0-9a-zA-Z-]+.*`   
Required: Yes

## Request Body
<a name="API_GetApplicationComponentStrategies_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetApplicationComponentStrategies_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "applicationComponentStrategies": [ 
      { 
         "isPreferred": boolean,
         "recommendation": { 
            "strategy": "string",
            "targetDestination": "string",
            "transformationTool": { 
               "description": "string",
               "name": "string",
               "tranformationToolInstallationLink": "string"
            }
         },
         "status": "string"
      }
   ]
}
```

## Response Elements
<a name="API_GetApplicationComponentStrategies_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationComponentStrategies](#API_GetApplicationComponentStrategies_ResponseSyntax) **   <a name="migrationhubstrategy-GetApplicationComponentStrategies-response-applicationComponentStrategies"></a>
 A list of application component strategy recommendations.   
Type: Array of [ApplicationComponentStrategy](API_ApplicationComponentStrategy.md) objects

## Errors
<a name="API_GetApplicationComponentStrategies_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_GetApplicationComponentStrategies_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetApplicationComponentStrategies) 

# GetAssessment
<a name="API_GetAssessment"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves the status of an on-going assessment. 

## Request Syntax
<a name="API_GetAssessment_RequestSyntax"></a>

```
GET /get-assessment/id HTTP/1.1
```

## URI Request Parameters
<a name="API_GetAssessment_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_GetAssessment_RequestSyntax) **   <a name="migrationhubstrategy-GetAssessment-request-uri-id"></a>
 The `assessmentid` returned by [StartAssessment](API_StartAssessment.md).  
Length Constraints: Minimum length of 0. Maximum length of 52.  
Pattern: `.*[0-9a-z-:]+.*`   
Required: Yes

## Request Body
<a name="API_GetAssessment_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetAssessment_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "assessmentTargets": [ 
      { 
         "condition": "string",
         "name": "string",
         "values": [ "string" ]
      }
   ],
   "dataCollectionDetails": { 
      "completionTime": number,
      "failed": number,
      "inProgress": number,
      "servers": number,
      "startTime": number,
      "status": "string",
      "statusMessage": "string",
      "success": number
   },
   "id": "string"
}
```

## Response Elements
<a name="API_GetAssessment_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [assessmentTargets](#API_GetAssessment_ResponseSyntax) **   <a name="migrationhubstrategy-GetAssessment-response-assessmentTargets"></a>
List of criteria for assessment.  
Type: Array of [AssessmentTarget](API_AssessmentTarget.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 10 items.

 ** [dataCollectionDetails](#API_GetAssessment_ResponseSyntax) **   <a name="migrationhubstrategy-GetAssessment-response-dataCollectionDetails"></a>
 Detailed information about the assessment.   
Type: [DataCollectionDetails](API_DataCollectionDetails.md) object

 ** [id](#API_GetAssessment_ResponseSyntax) **   <a name="migrationhubstrategy-GetAssessment-response-id"></a>
 The ID for the specific assessment task.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 52.  
Pattern: `.*[0-9a-z-:]+.*` 

## Errors
<a name="API_GetAssessment_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_GetAssessment_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetAssessment) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetAssessment) 

# GetImportFileTask
<a name="API_GetImportFileTask"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves the details about a specific import task. 

## Request Syntax
<a name="API_GetImportFileTask_RequestSyntax"></a>

```
GET /get-import-file-task/id HTTP/1.1
```

## URI Request Parameters
<a name="API_GetImportFileTask_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_GetImportFileTask_RequestSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-request-uri-id"></a>
 The ID of the import file task. This ID is returned in the response of [StartImportFileTask](API_StartImportFileTask.md).   
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*`   
Required: Yes

## Request Body
<a name="API_GetImportFileTask_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetImportFileTask_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "completionTime": number,
   "id": "string",
   "importName": "string",
   "inputS3Bucket": "string",
   "inputS3Key": "string",
   "numberOfRecordsFailed": number,
   "numberOfRecordsSuccess": number,
   "startTime": number,
   "status": "string",
   "statusReportS3Bucket": "string",
   "statusReportS3Key": "string"
}
```

## Response Elements
<a name="API_GetImportFileTask_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [completionTime](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-completionTime"></a>
 The time that the import task completed.   
Type: Timestamp

 ** [id](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-id"></a>
 The import file task `id` returned in the response of [StartImportFileTask](API_StartImportFileTask.md).   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

 ** [importName](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-importName"></a>
 The name of the import task given in [StartImportFileTask](API_StartImportFileTask.md).   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

 ** [inputS3Bucket](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-inputS3Bucket"></a>
 The S3 bucket where import file is located.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 63.  
Pattern: `.*[0-9a-z]+[0-9a-z\.\-]*[0-9a-z]+.*` 

 ** [inputS3Key](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-inputS3Key"></a>
 The Amazon S3 key name of the import file.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

 ** [numberOfRecordsFailed](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-numberOfRecordsFailed"></a>
 The number of records that failed to be imported.   
Type: Integer

 ** [numberOfRecordsSuccess](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-numberOfRecordsSuccess"></a>
 The number of records successfully imported.   
Type: Integer

 ** [startTime](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-startTime"></a>
 Start time of the import task.   
Type: Timestamp

 ** [status](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-status"></a>
 Status of import file task.   
Type: String  
Valid Values: `ImportInProgress | ImportFailed | ImportPartialSuccess | ImportSuccess | DeleteInProgress | DeleteFailed | DeletePartialSuccess | DeleteSuccess` 

 ** [statusReportS3Bucket](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-statusReportS3Bucket"></a>
 The S3 bucket name for status report of import task.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 63.  
Pattern: `.*[0-9a-z]+[0-9a-z\.\-]*[0-9a-z]+.*` 

 ** [statusReportS3Key](#API_GetImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-GetImportFileTask-response-statusReportS3Key"></a>
 The Amazon S3 key name for status report of import task. The report contains details about whether each record imported successfully or why it did not.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

## Errors
<a name="API_GetImportFileTask_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_GetImportFileTask_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetImportFileTask) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetImportFileTask) 

# GetLatestAssessmentId
<a name="API_GetLatestAssessmentId"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

Retrieve the latest ID of a specific assessment task.

## Request Syntax
<a name="API_GetLatestAssessmentId_RequestSyntax"></a>

```
GET /get-latest-assessment-id HTTP/1.1
```

## URI Request Parameters
<a name="API_GetLatestAssessmentId_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetLatestAssessmentId_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetLatestAssessmentId_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "id": "string"
}
```

## Response Elements
<a name="API_GetLatestAssessmentId_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [id](#API_GetLatestAssessmentId_ResponseSyntax) **   <a name="migrationhubstrategy-GetLatestAssessmentId-response-id"></a>
The latest ID for the specific assessment task.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 52.  
Pattern: `.*[0-9a-z-:]+.*` 

## Errors
<a name="API_GetLatestAssessmentId_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** DependencyException **   
Dependency encountered an error.  
HTTP Status Code: 500

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_GetLatestAssessmentId_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetLatestAssessmentId) 

# GetPortfolioPreferences
<a name="API_GetPortfolioPreferences"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves your migration and modernization preferences. 

## Request Syntax
<a name="API_GetPortfolioPreferences_RequestSyntax"></a>

```
GET /get-portfolio-preferences HTTP/1.1
```

## URI Request Parameters
<a name="API_GetPortfolioPreferences_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetPortfolioPreferences_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetPortfolioPreferences_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "applicationMode": "string",
   "applicationPreferences": { 
      "managementPreference": { ... }
   },
   "databasePreferences": { 
      "databaseManagementPreference": "string",
      "databaseMigrationPreference": { ... }
   },
   "prioritizeBusinessGoals": { 
      "businessGoals": { 
         "licenseCostReduction": number,
         "modernizeInfrastructureWithCloudNativeTechnologies": number,
         "reduceOperationalOverheadWithManagedServices": number,
         "speedOfMigration": number
      }
   }
}
```

## Response Elements
<a name="API_GetPortfolioPreferences_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationMode](#API_GetPortfolioPreferences_ResponseSyntax) **   <a name="migrationhubstrategy-GetPortfolioPreferences-response-applicationMode"></a>
The classification for application component types.  
Type: String  
Valid Values: `ALL | KNOWN | UNKNOWN` 

 ** [applicationPreferences](#API_GetPortfolioPreferences_ResponseSyntax) **   <a name="migrationhubstrategy-GetPortfolioPreferences-response-applicationPreferences"></a>
 The transformation preferences for non-database applications.   
Type: [ApplicationPreferences](API_ApplicationPreferences.md) object

 ** [databasePreferences](#API_GetPortfolioPreferences_ResponseSyntax) **   <a name="migrationhubstrategy-GetPortfolioPreferences-response-databasePreferences"></a>
 The transformation preferences for database applications.   
Type: [DatabasePreferences](API_DatabasePreferences.md) object

 ** [prioritizeBusinessGoals](#API_GetPortfolioPreferences_ResponseSyntax) **   <a name="migrationhubstrategy-GetPortfolioPreferences-response-prioritizeBusinessGoals"></a>
 The rank of business goals based on priority.   
Type: [PrioritizeBusinessGoals](API_PrioritizeBusinessGoals.md) object

## Errors
<a name="API_GetPortfolioPreferences_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_GetPortfolioPreferences_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetPortfolioPreferences) 

# GetPortfolioSummary
<a name="API_GetPortfolioSummary"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves overall summary including the number of servers to rehost and the overall number of anti-patterns. 

## Request Syntax
<a name="API_GetPortfolioSummary_RequestSyntax"></a>

```
GET /get-portfolio-summary HTTP/1.1
```

## URI Request Parameters
<a name="API_GetPortfolioSummary_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetPortfolioSummary_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetPortfolioSummary_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "assessmentSummary": { 
      "antipatternReportS3Object": { 
         "s3Bucket": "string",
         "s3key": "string"
      },
      "antipatternReportStatus": "string",
      "antipatternReportStatusMessage": "string",
      "lastAnalyzedTimestamp": number,
      "listAntipatternSeveritySummary": [ 
         { 
            "count": number,
            "severity": "string"
         }
      ],
      "listApplicationComponentStatusSummary": [ 
         { 
            "count": number,
            "srcCodeOrDbAnalysisStatus": "string"
         }
      ],
      "listApplicationComponentStrategySummary": [ 
         { 
            "count": number,
            "strategy": "string"
         }
      ],
      "listApplicationComponentSummary": [ 
         { 
            "appType": "string",
            "count": number
         }
      ],
      "listServerStatusSummary": [ 
         { 
            "count": number,
            "runTimeAssessmentStatus": "string"
         }
      ],
      "listServerStrategySummary": [ 
         { 
            "count": number,
            "strategy": "string"
         }
      ],
      "listServerSummary": [ 
         { 
            "count": number,
            "ServerOsType": "string"
         }
      ]
   }
}
```

## Response Elements
<a name="API_GetPortfolioSummary_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [assessmentSummary](#API_GetPortfolioSummary_ResponseSyntax) **   <a name="migrationhubstrategy-GetPortfolioSummary-response-assessmentSummary"></a>
 An assessment summary for the portfolio including the number of servers to rehost and the overall number of anti-patterns.   
Type: [AssessmentSummary](API_AssessmentSummary.md) object

## Errors
<a name="API_GetPortfolioSummary_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_GetPortfolioSummary_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetPortfolioSummary) 

# GetRecommendationReportDetails
<a name="API_GetRecommendationReportDetails"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves detailed information about the specified recommendation report. 

## Request Syntax
<a name="API_GetRecommendationReportDetails_RequestSyntax"></a>

```
GET /get-recommendation-report-details/id HTTP/1.1
```

## URI Request Parameters
<a name="API_GetRecommendationReportDetails_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_GetRecommendationReportDetails_RequestSyntax) **   <a name="migrationhubstrategy-GetRecommendationReportDetails-request-uri-id"></a>
 The recommendation report generation task `id` returned by [StartRecommendationReportGeneration](API_StartRecommendationReportGeneration.md).   
Length Constraints: Minimum length of 0. Maximum length of 52.  
Pattern: `.*[0-9a-z-:]+.*`   
Required: Yes

## Request Body
<a name="API_GetRecommendationReportDetails_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetRecommendationReportDetails_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "id": "string",
   "recommendationReportDetails": { 
      "completionTime": number,
      "s3Bucket": "string",
      "s3Keys": [ "string" ],
      "startTime": number,
      "status": "string",
      "statusMessage": "string"
   }
}
```

## Response Elements
<a name="API_GetRecommendationReportDetails_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [id](#API_GetRecommendationReportDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetRecommendationReportDetails-response-id"></a>
 The ID of the recommendation report generation task. See the response of [StartRecommendationReportGeneration](API_StartRecommendationReportGeneration.md).   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 52.  
Pattern: `.*[0-9a-z-:]+.*` 

 ** [recommendationReportDetails](#API_GetRecommendationReportDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetRecommendationReportDetails-response-recommendationReportDetails"></a>
 Detailed information about the recommendation report.   
Type: [RecommendationReportDetails](API_RecommendationReportDetails.md) object

## Errors
<a name="API_GetRecommendationReportDetails_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_GetRecommendationReportDetails_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetRecommendationReportDetails) 

# GetServerDetails
<a name="API_GetServerDetails"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves detailed information about a specified server. 

## Request Syntax
<a name="API_GetServerDetails_RequestSyntax"></a>

```
GET /get-server-details/serverId?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_GetServerDetails_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_GetServerDetails_RequestSyntax) **   <a name="migrationhubstrategy-GetServerDetails-request-uri-maxResults"></a>
 The maximum number of items to include in the response. The maximum value is 100. 

 ** [nextToken](#API_GetServerDetails_RequestSyntax) **   <a name="migrationhubstrategy-GetServerDetails-request-uri-nextToken"></a>
 The token from a previous call that you use to retrieve the next set of results. For example, if a previous call to this action returned 100 items, but you set `maxResults` to 10. You'll receive a set of 10 results along with a token. You then use the returned token to retrieve the next set of 10.   
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*` 

 ** [serverId](#API_GetServerDetails_RequestSyntax) **   <a name="migrationhubstrategy-GetServerDetails-request-uri-serverId"></a>
 The ID of the server.   
Length Constraints: Minimum length of 1. Maximum length of 27.  
Pattern: `.*\S.*`   
Required: Yes

## Request Body
<a name="API_GetServerDetails_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetServerDetails_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "associatedApplications": [ 
      { 
         "id": "string",
         "name": "string"
      }
   ],
   "nextToken": "string",
   "serverDetail": { 
      "antipatternReportS3Object": { 
         "s3Bucket": "string",
         "s3key": "string"
      },
      "antipatternReportStatus": "string",
      "antipatternReportStatusMessage": "string",
      "applicationComponentStrategySummary": [ 
         { 
            "count": number,
            "strategy": "string"
         }
      ],
      "dataCollectionStatus": "string",
      "id": "string",
      "lastAnalyzedTimestamp": number,
      "listAntipatternSeveritySummary": [ 
         { 
            "count": number,
            "severity": "string"
         }
      ],
      "name": "string",
      "recommendationSet": { 
         "strategy": "string",
         "targetDestination": "string",
         "transformationTool": { 
            "description": "string",
            "name": "string",
            "tranformationToolInstallationLink": "string"
         }
      },
      "serverError": { 
         "serverErrorCategory": "string"
      },
      "serverType": "string",
      "statusMessage": "string",
      "systemInfo": { 
         "cpuArchitecture": "string",
         "fileSystemType": "string",
         "networkInfoList": [ 
            { 
               "interfaceName": "string",
               "ipAddress": "string",
               "macAddress": "string",
               "netMask": "string"
            }
         ],
         "osInfo": { 
            "type": "string",
            "version": "string"
         }
      }
   }
}
```

## Response Elements
<a name="API_GetServerDetails_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [associatedApplications](#API_GetServerDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetServerDetails-response-associatedApplications"></a>
 The associated application group the server belongs to, as defined in AWS Application Discovery Service.   
Type: Array of [AssociatedApplication](API_AssociatedApplication.md) objects

 ** [nextToken](#API_GetServerDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetServerDetails-response-nextToken"></a>
 The token you use to retrieve the next set of results, or null if there are no more results.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

 ** [serverDetail](#API_GetServerDetails_ResponseSyntax) **   <a name="migrationhubstrategy-GetServerDetails-response-serverDetail"></a>
 Detailed information about the server.   
Type: [ServerDetail](API_ServerDetail.md) object

## Errors
<a name="API_GetServerDetails_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_GetServerDetails_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetServerDetails) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetServerDetails) 

# GetServerStrategies
<a name="API_GetServerStrategies"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves recommended strategies and tools for the specified server. 

## Request Syntax
<a name="API_GetServerStrategies_RequestSyntax"></a>

```
GET /get-server-strategies/serverId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetServerStrategies_RequestParameters"></a>

The request uses the following URI parameters.

 ** [serverId](#API_GetServerStrategies_RequestSyntax) **   <a name="migrationhubstrategy-GetServerStrategies-request-uri-serverId"></a>
 The ID of the server.   
Length Constraints: Minimum length of 1. Maximum length of 27.  
Pattern: `.*\S.*`   
Required: Yes

## Request Body
<a name="API_GetServerStrategies_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetServerStrategies_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "serverStrategies": [ 
      { 
         "isPreferred": boolean,
         "numberOfApplicationComponents": number,
         "recommendation": { 
            "strategy": "string",
            "targetDestination": "string",
            "transformationTool": { 
               "description": "string",
               "name": "string",
               "tranformationToolInstallationLink": "string"
            }
         },
         "status": "string"
      }
   ]
}
```

## Response Elements
<a name="API_GetServerStrategies_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [serverStrategies](#API_GetServerStrategies_ResponseSyntax) **   <a name="migrationhubstrategy-GetServerStrategies-response-serverStrategies"></a>
 A list of strategy recommendations for the server.   
Type: Array of [ServerStrategy](API_ServerStrategy.md) objects

## Errors
<a name="API_GetServerStrategies_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The specified ID in the request is not found.   
HTTP Status Code: 404

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_GetServerStrategies_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/GetServerStrategies) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/GetServerStrategies) 

# ListAnalyzableServers
<a name="API_ListAnalyzableServers"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

Retrieves a list of servers. The servers are fetched from VMWare vCenter using Migration Hub Strategy Recommendations application data collector.

## Request Syntax
<a name="API_ListAnalyzableServers_RequestSyntax"></a>

```
POST /list-analyzable-servers HTTP/1.1
Content-type: application/json

{
   "maxResults": number,
   "nextToken": "string",
   "sort": "string"
}
```

## URI Request Parameters
<a name="API_ListAnalyzableServers_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListAnalyzableServers_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [maxResults](#API_ListAnalyzableServers_RequestSyntax) **   <a name="migrationhubstrategy-ListAnalyzableServers-request-maxResults"></a>
The maximum number of items to include in the response. The maximum value is 100.  
Type: Integer  
Required: No

 ** [nextToken](#API_ListAnalyzableServers_RequestSyntax) **   <a name="migrationhubstrategy-ListAnalyzableServers-request-nextToken"></a>
The token from a previous call that you use to retrieve the next set of results. For example, if a previous call to this action returned 100 items, but you set `maxResults` to 10. You'll receive a set of 10 results along with a token. You then use the returned token to retrieve the next set of 10.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*`   
Required: No

 ** [sort](#API_ListAnalyzableServers_RequestSyntax) **   <a name="migrationhubstrategy-ListAnalyzableServers-request-sort"></a>
Specifies whether to sort by ascending (`ASC`) or descending (`DESC`) order.  
Type: String  
Valid Values: `ASC | DESC`   
Required: No

## Response Syntax
<a name="API_ListAnalyzableServers_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "analyzableServers": [ 
      { 
         "hostname": "string",
         "ipAddress": "string",
         "source": "string",
         "vmId": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListAnalyzableServers_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [analyzableServers](#API_ListAnalyzableServers_ResponseSyntax) **   <a name="migrationhubstrategy-ListAnalyzableServers-response-analyzableServers"></a>
The list of analyzable servers with a summary of information about each server.  
Type: Array of [AnalyzableServerSummary](API_AnalyzableServerSummary.md) objects

 ** [nextToken](#API_ListAnalyzableServers_ResponseSyntax) **   <a name="migrationhubstrategy-ListAnalyzableServers-response-nextToken"></a>
The token you use to retrieve the next set of results, or null if there are no more results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*` 

## Errors
<a name="API_ListAnalyzableServers_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_ListAnalyzableServers_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/ListAnalyzableServers) 

# ListApplicationComponents
<a name="API_ListApplicationComponents"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves a list of all the application components (processes). 

## Request Syntax
<a name="API_ListApplicationComponents_RequestSyntax"></a>

```
POST /list-applicationcomponents HTTP/1.1
Content-type: application/json

{
   "applicationComponentCriteria": "string",
   "filterValue": "string",
   "groupIdFilter": [ 
      { 
         "name": "string",
         "value": "string"
      }
   ],
   "maxResults": number,
   "nextToken": "string",
   "sort": "string"
}
```

## URI Request Parameters
<a name="API_ListApplicationComponents_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListApplicationComponents_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [applicationComponentCriteria](#API_ListApplicationComponents_RequestSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-request-applicationComponentCriteria"></a>
 Criteria for filtering the list of application components.   
Type: String  
Valid Values: `NOT_DEFINED | APP_NAME | SERVER_ID | APP_TYPE | STRATEGY | DESTINATION | ANALYSIS_STATUS | ERROR_CATEGORY`   
Required: No

 ** [filterValue](#API_ListApplicationComponents_RequestSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-request-filterValue"></a>
 Specify the value based on the application component criteria type. For example, if `applicationComponentCriteria` is set to `SERVER_ID` and `filterValue` is set to `server1`, then [ListApplicationComponents](#API_ListApplicationComponents) returns all the application components running on server1.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Pattern: `.*\S.*`   
Required: No

 ** [groupIdFilter](#API_ListApplicationComponents_RequestSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-request-groupIdFilter"></a>
 The group ID specified in to filter on.   
Type: Array of [Group](API_Group.md) objects  
Required: No

 ** [maxResults](#API_ListApplicationComponents_RequestSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-request-maxResults"></a>
 The maximum number of items to include in the response. The maximum value is 100.   
Type: Integer  
Required: No

 ** [nextToken](#API_ListApplicationComponents_RequestSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-request-nextToken"></a>
 The token from a previous call that you use to retrieve the next set of results. For example, if a previous call to this action returned 100 items, but you set `maxResults` to 10. You'll receive a set of 10 results along with a token. You then use the returned token to retrieve the next set of 10.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*`   
Required: No

 ** [sort](#API_ListApplicationComponents_RequestSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-request-sort"></a>
 Specifies whether to sort by ascending (`ASC`) or descending (`DESC`) order.   
Type: String  
Valid Values: `ASC | DESC`   
Required: No

## Response Syntax
<a name="API_ListApplicationComponents_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "applicationComponentInfos": [ 
      { 
         "analysisStatus": "string",
         "antipatternReportS3Object": { 
            "s3Bucket": "string",
            "s3key": "string"
         },
         "antipatternReportStatus": "string",
         "antipatternReportStatusMessage": "string",
         "appType": "string",
         "appUnitError": { 
            "appUnitErrorCategory": "string"
         },
         "associatedServerId": "string",
         "databaseConfigDetail": { 
            "secretName": "string"
         },
         "id": "string",
         "inclusionStatus": "string",
         "lastAnalyzedTimestamp": number,
         "listAntipatternSeveritySummary": [ 
            { 
               "count": number,
               "severity": "string"
            }
         ],
         "moreServerAssociationExists": boolean,
         "name": "string",
         "osDriver": "string",
         "osVersion": "string",
         "recommendationSet": { 
            "strategy": "string",
            "targetDestination": "string",
            "transformationTool": { 
               "description": "string",
               "name": "string",
               "tranformationToolInstallationLink": "string"
            }
         },
         "resourceSubType": "string",
         "resultList": [ 
            { 
               "analysisStatus": { ... },
               "analysisType": "string",
               "antipatternReportResultList": [ 
                  { 
                     "analyzerName": { ... },
                     "antiPatternReportS3Object": { 
                        "s3Bucket": "string",
                        "s3key": "string"
                     },
                     "antipatternReportStatus": "string",
                     "antipatternReportStatusMessage": "string"
                  }
               ],
               "statusMessage": "string"
            }
         ],
         "runtimeStatus": "string",
         "runtimeStatusMessage": "string",
         "sourceCodeRepositories": [ 
            { 
               "branch": "string",
               "projectName": "string",
               "repository": "string",
               "versionControlType": "string"
            }
         ],
         "statusMessage": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListApplicationComponents_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [applicationComponentInfos](#API_ListApplicationComponents_ResponseSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-response-applicationComponentInfos"></a>
 The list of application components with detailed information about each component.   
Type: Array of [ApplicationComponentDetail](API_ApplicationComponentDetail.md) objects

 ** [nextToken](#API_ListApplicationComponents_ResponseSyntax) **   <a name="migrationhubstrategy-ListApplicationComponents-response-nextToken"></a>
 The token you use to retrieve the next set of results, or null if there are no more results.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*` 

## Errors
<a name="API_ListApplicationComponents_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ServiceLinkedRoleLockClientException **   
 Exception to indicate that the service-linked role (SLR) is locked.   
HTTP Status Code: 400

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_ListApplicationComponents_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/ListApplicationComponents) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/ListApplicationComponents) 

# ListCollectors
<a name="API_ListCollectors"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves a list of all the installed collectors. 

## Request Syntax
<a name="API_ListCollectors_RequestSyntax"></a>

```
GET /list-collectors?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListCollectors_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListCollectors_RequestSyntax) **   <a name="migrationhubstrategy-ListCollectors-request-uri-maxResults"></a>
 The maximum number of items to include in the response. The maximum value is 100. 

 ** [nextToken](#API_ListCollectors_RequestSyntax) **   <a name="migrationhubstrategy-ListCollectors-request-uri-nextToken"></a>
 The token from a previous call that you use to retrieve the next set of results. For example, if a previous call to this action returned 100 items, but you set `maxResults` to 10. You'll receive a set of 10 results along with a token. You then use the returned token to retrieve the next set of 10.   
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*` 

## Request Body
<a name="API_ListCollectors_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListCollectors_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Collectors": [ 
      { 
         "collectorHealth": "string",
         "collectorId": "string",
         "collectorVersion": "string",
         "configurationSummary": { 
            "ipAddressBasedRemoteInfoList": [ 
               { 
                  "authType": "string",
                  "ipAddressConfigurationTimeStamp": "string",
                  "osType": "string"
               }
            ],
            "pipelineInfoList": [ 
               { 
                  "pipelineConfigurationTimeStamp": "string",
                  "pipelineType": "string"
               }
            ],
            "remoteSourceCodeAnalysisServerInfo": { 
               "remoteSourceCodeAnalysisServerConfigurationTimestamp": "string"
            },
            "vcenterBasedRemoteInfoList": [ 
               { 
                  "osType": "string",
                  "vcenterConfigurationTimeStamp": "string"
               }
            ],
            "versionControlInfoList": [ 
               { 
                  "versionControlConfigurationTimeStamp": "string",
                  "versionControlType": "string"
               }
            ]
         },
         "hostName": "string",
         "ipAddress": "string",
         "lastActivityTimeStamp": "string",
         "registeredTimeStamp": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListCollectors_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Collectors](#API_ListCollectors_ResponseSyntax) **   <a name="migrationhubstrategy-ListCollectors-response-Collectors"></a>
 The list of all the installed collectors.   
Type: Array of [Collector](API_Collector.md) objects

 ** [nextToken](#API_ListCollectors_ResponseSyntax) **   <a name="migrationhubstrategy-ListCollectors-response-nextToken"></a>
 The token you use to retrieve the next set of results, or null if there are no more results.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*` 

## Errors
<a name="API_ListCollectors_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_ListCollectors_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/ListCollectors) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/ListCollectors) 

# ListImportFileTask
<a name="API_ListImportFileTask"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Retrieves a list of all the imports performed. 

## Request Syntax
<a name="API_ListImportFileTask_RequestSyntax"></a>

```
GET /list-import-file-task?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListImportFileTask_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListImportFileTask_RequestSyntax) **   <a name="migrationhubstrategy-ListImportFileTask-request-uri-maxResults"></a>
 The total number of items to return. The maximum value is 100. 

 ** [nextToken](#API_ListImportFileTask_RequestSyntax) **   <a name="migrationhubstrategy-ListImportFileTask-request-uri-nextToken"></a>
 The token from a previous call that you use to retrieve the next set of results. For example, if a previous call to this action returned 100 items, but you set `maxResults` to 10. You'll receive a set of 10 results along with a token. You then use the returned token to retrieve the next set of 10.   
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

## Request Body
<a name="API_ListImportFileTask_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListImportFileTask_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "taskInfos": [ 
      { 
         "completionTime": number,
         "id": "string",
         "importName": "string",
         "inputS3Bucket": "string",
         "inputS3Key": "string",
         "numberOfRecordsFailed": number,
         "numberOfRecordsSuccess": number,
         "startTime": number,
         "status": "string",
         "statusReportS3Bucket": "string",
         "statusReportS3Key": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListImportFileTask_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-ListImportFileTask-response-nextToken"></a>
 The token you use to retrieve the next set of results, or null if there are no more results.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*` 

 ** [taskInfos](#API_ListImportFileTask_ResponseSyntax) **   <a name="migrationhubstrategy-ListImportFileTask-response-taskInfos"></a>
 Lists information about the files you import.  
Type: Array of [ImportFileTaskInformation](API_ImportFileTaskInformation.md) objects

## Errors
<a name="API_ListImportFileTask_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_ListImportFileTask_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/ListImportFileTask) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/ListImportFileTask) 

# ListServers
<a name="API_ListServers"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Returns a list of all the servers. 

## Request Syntax
<a name="API_ListServers_RequestSyntax"></a>

```
POST /list-servers HTTP/1.1
Content-type: application/json

{
   "filterValue": "string",
   "groupIdFilter": [ 
      { 
         "name": "string",
         "value": "string"
      }
   ],
   "maxResults": number,
   "nextToken": "string",
   "serverCriteria": "string",
   "sort": "string"
}
```

## URI Request Parameters
<a name="API_ListServers_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListServers_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filterValue](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-filterValue"></a>
 Specifies the filter value, which is based on the type of server criteria. For example, if `serverCriteria` is `OS_NAME`, and the `filterValue` is equal to `WindowsServer`, then `ListServers` returns all of the servers matching the OS name `WindowsServer`.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `.*\S.*`   
Required: No

 ** [groupIdFilter](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-groupIdFilter"></a>
 Specifies the group ID to filter on.   
Type: Array of [Group](API_Group.md) objects  
Required: No

 ** [maxResults](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-maxResults"></a>
 The maximum number of items to include in the response. The maximum value is 100.   
Type: Integer  
Required: No

 ** [nextToken](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-nextToken"></a>
 The token from a previous call that you use to retrieve the next set of results. For example, if a previous call to this action returned 100 items, but you set `maxResults` to 10. You'll receive a set of 10 results along with a token. You then use the returned token to retrieve the next set of 10.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*`   
Required: No

 ** [serverCriteria](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-serverCriteria"></a>
 Criteria for filtering servers.   
Type: String  
Valid Values: `NOT_DEFINED | OS_NAME | STRATEGY | DESTINATION | SERVER_ID | ANALYSIS_STATUS | ERROR_CATEGORY`   
Required: No

 ** [sort](#API_ListServers_RequestSyntax) **   <a name="migrationhubstrategy-ListServers-request-sort"></a>
 Specifies whether to sort by ascending (`ASC`) or descending (`DESC`) order.   
Type: String  
Valid Values: `ASC | DESC`   
Required: No

## Response Syntax
<a name="API_ListServers_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "serverInfos": [ 
      { 
         "antipatternReportS3Object": { 
            "s3Bucket": "string",
            "s3key": "string"
         },
         "antipatternReportStatus": "string",
         "antipatternReportStatusMessage": "string",
         "applicationComponentStrategySummary": [ 
            { 
               "count": number,
               "strategy": "string"
            }
         ],
         "dataCollectionStatus": "string",
         "id": "string",
         "lastAnalyzedTimestamp": number,
         "listAntipatternSeveritySummary": [ 
            { 
               "count": number,
               "severity": "string"
            }
         ],
         "name": "string",
         "recommendationSet": { 
            "strategy": "string",
            "targetDestination": "string",
            "transformationTool": { 
               "description": "string",
               "name": "string",
               "tranformationToolInstallationLink": "string"
            }
         },
         "serverError": { 
            "serverErrorCategory": "string"
         },
         "serverType": "string",
         "statusMessage": "string",
         "systemInfo": { 
            "cpuArchitecture": "string",
            "fileSystemType": "string",
            "networkInfoList": [ 
               { 
                  "interfaceName": "string",
                  "ipAddress": "string",
                  "macAddress": "string",
                  "netMask": "string"
               }
            ],
            "osInfo": { 
               "type": "string",
               "version": "string"
            }
         }
      }
   ]
}
```

## Response Elements
<a name="API_ListServers_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListServers_ResponseSyntax) **   <a name="migrationhubstrategy-ListServers-response-nextToken"></a>
 The token you use to retrieve the next set of results, or null if there are no more results.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*\S.*` 

 ** [serverInfos](#API_ListServers_ResponseSyntax) **   <a name="migrationhubstrategy-ListServers-response-serverInfos"></a>
 The list of servers with detailed information about each server.   
Type: Array of [ServerDetail](API_ServerDetail.md) objects

## Errors
<a name="API_ListServers_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_ListServers_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/ListServers) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/ListServers) 

# PutPortfolioPreferences
<a name="API_PutPortfolioPreferences"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Saves the specified migration and modernization preferences. 

## Request Syntax
<a name="API_PutPortfolioPreferences_RequestSyntax"></a>

```
POST /put-portfolio-preferences HTTP/1.1
Content-type: application/json

{
   "applicationMode": "string",
   "applicationPreferences": { 
      "managementPreference": { ... }
   },
   "databasePreferences": { 
      "databaseManagementPreference": "string",
      "databaseMigrationPreference": { ... }
   },
   "prioritizeBusinessGoals": { 
      "businessGoals": { 
         "licenseCostReduction": number,
         "modernizeInfrastructureWithCloudNativeTechnologies": number,
         "reduceOperationalOverheadWithManagedServices": number,
         "speedOfMigration": number
      }
   }
}
```

## URI Request Parameters
<a name="API_PutPortfolioPreferences_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_PutPortfolioPreferences_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [applicationMode](#API_PutPortfolioPreferences_RequestSyntax) **   <a name="migrationhubstrategy-PutPortfolioPreferences-request-applicationMode"></a>
The classification for application component types.  
Type: String  
Valid Values: `ALL | KNOWN | UNKNOWN`   
Required: No

 ** [applicationPreferences](#API_PutPortfolioPreferences_RequestSyntax) **   <a name="migrationhubstrategy-PutPortfolioPreferences-request-applicationPreferences"></a>
 The transformation preferences for non-database applications.   
Type: [ApplicationPreferences](API_ApplicationPreferences.md) object  
Required: No

 ** [databasePreferences](#API_PutPortfolioPreferences_RequestSyntax) **   <a name="migrationhubstrategy-PutPortfolioPreferences-request-databasePreferences"></a>
 The transformation preferences for database applications.   
Type: [DatabasePreferences](API_DatabasePreferences.md) object  
Required: No

 ** [prioritizeBusinessGoals](#API_PutPortfolioPreferences_RequestSyntax) **   <a name="migrationhubstrategy-PutPortfolioPreferences-request-prioritizeBusinessGoals"></a>
 The rank of the business goals based on priority.   
Type: [PrioritizeBusinessGoals](API_PrioritizeBusinessGoals.md) object  
Required: No

## Response Syntax
<a name="API_PutPortfolioPreferences_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_PutPortfolioPreferences_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_PutPortfolioPreferences_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** ConflictException **   
 Exception to indicate that there is an ongoing task when a new task is created. Return when once the existing tasks are complete.   
HTTP Status Code: 409

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

 ** ValidationException **   
 The request body isn't valid.   
HTTP Status Code: 400

## See Also
<a name="API_PutPortfolioPreferences_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/PutPortfolioPreferences) 

# StartAssessment
<a name="API_StartAssessment"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Starts the assessment of an on-premises environment. 

## Request Syntax
<a name="API_StartAssessment_RequestSyntax"></a>

```
POST /start-assessment HTTP/1.1
Content-type: application/json

{
   "assessmentDataSourceType": "string",
   "assessmentTargets": [ 
      { 
         "condition": "string",
         "name": "string",
         "values": [ "string" ]
      }
   ],
   "s3bucketForAnalysisData": "string",
   "s3bucketForReportData": "string"
}
```

## URI Request Parameters
<a name="API_StartAssessment_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_StartAssessment_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [assessmentDataSourceType](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-assessmentDataSourceType"></a>
The data source type of an assessment request to start.  
Type: String  
Valid Values: `StrategyRecommendationsApplicationDataCollector | ManualImport | ApplicationDiscoveryService`   
Required: No

 ** [assessmentTargets](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-assessmentTargets"></a>
List of criteria for assessment.  
Type: Array of [AssessmentTarget](API_AssessmentTarget.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 10 items.  
Required: No

 ** [s3bucketForAnalysisData](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-s3bucketForAnalysisData"></a>
 The S3 bucket used by the collectors to send analysis data to the service. The bucket name must begin with `migrationhub-strategy-`.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 63.  
Pattern: `.*[0-9a-z]+[0-9a-z\.\-]*[0-9a-z]+.*`   
Required: No

 ** [s3bucketForReportData](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-s3bucketForReportData"></a>
 The S3 bucket where all the reports generated by the service are stored. The bucket name must begin with `migrationhub-strategy-`.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 63.  
Pattern: `.*[0-9a-z]+[0-9a-z\.\-]*[0-9a-z]+.*`   
Required: No

## Response Syntax
<a name="API_StartAssessment_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "assessmentId": "string"
}
```

## Response Elements
<a name="API_StartAssessment_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [assessmentId](#API_StartAssessment_ResponseSyntax) **   <a name="migrationhubstrategy-StartAssessment-response-assessmentId"></a>
 The ID of the assessment.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 52.  
Pattern: `.*[0-9a-z-:]+.*` 

## Errors
<a name="API_StartAssessment_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
 The AWS account has reached its quota of imports. Contact AWS Support to increase the quota for this account.   
HTTP Status Code: 402

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_StartAssessment_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/StartAssessment) 

# StartImportFileTask
[...]
